Bug 9308 - logo-koha.png not transparent in ccsr theme.
Summary: logo-koha.png not transparent in ccsr theme.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low minor (vote)
Assignee: Ed Veal
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-19 21:30 UTC by Ed Veal
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
current default (10.55 KB, image/png)
2012-12-19 21:30 UTC, Ed Veal
Details
new image (7.17 KB, image/png)
2012-12-19 21:31 UTC, Ed Veal
Details
The logo-koha.png image was not transparent so I have replaced it with one that is transparent. To test please change the background-color for the body or the image within the css. (15.43 KB, patch)
2012-12-20 15:27 UTC, Ed Veal
Details | Diff | Splinter Review
Bug 9308 - logo-koha.png not transparent in ccsr theme (15.46 KB, patch)
2012-12-21 14:37 UTC, Ed Veal
Details | Diff | Splinter Review
Bug 9308 - logo-koha.png not transparent in ccsr theme (15.52 KB, patch)
2013-01-02 23:04 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9308 - logo-koha.png not transparent in ccsr theme (15.58 KB, patch)
2013-01-30 14:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Veal 2012-12-19 21:30:24 UTC
Created attachment 14204 [details]
current default

The logo-koha.png image is not transparent. I have tested this by replacing it on a test system with a known transparent image.
Comment 1 Ed Veal 2012-12-19 21:31:07 UTC
Created attachment 14205 [details]
new image
Comment 2 Ed Veal 2012-12-20 13:50:58 UTC
I can take care of this.
Comment 3 Ed Veal 2012-12-20 15:27:41 UTC Comment hidden (obsolete)
Comment 4 Ed Veal 2012-12-21 14:37:58 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2013-01-02 23:04:13 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2013-01-30 14:40:42 UTC
QA comment:
change the logo image for the ccsr theme.
Marked as Passed QA.
Comment 7 Jonathan Druart 2013-01-30 14:41:04 UTC
Created attachment 14948 [details] [review]
Bug 9308 - logo-koha.png not transparent in ccsr theme

This patch will allow the koha logo to be transparent so you can change the background color.

To test this please change the background color within the css.

http://bugs.koha-community.org/show_bug.cgi?id=9308
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Jared Camins-Esakov 2013-01-31 16:43:47 UTC
This patch has been pushed to master.
Comment 9 Chris Cormack 2013-02-03 03:06:05 UTC
Pushed to 3.10.x will be in 3.10.3